{
  "version": 3,
  "pages404": true,
  "appType": "app",
  "caseSensitive": false,
  "basePath": "",
  "redirects": [
    {
      "source": "/:path+/",
      "destination": "/:path+",
      "internal": true,
      "priority": true,
      "statusCode": 308,
      "regex": "^(?:/((?:[^/]+?)(?:/(?:[^/]+?))*))/$"
    }
  ],
  "headers": [],
  "rewrites": {
    "beforeFiles": [],
    "afterFiles": [],
    "fallback": []
  },
  "dynamicRoutes": [
    {
      "page": "/acara/[slug]",
      "regex": "^/acara/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/acara/(?<nxtPslug>[^/]+?)(?:/)?$"
    },
    {
      "page": "/admin/acara/[slug]",
      "regex": "^/admin/acara/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/admin/acara/(?<nxtPslug>[^/]+?)(?:/)?$"
    },
    {
      "page": "/admin/bidang/[slug]",
      "regex": "^/admin/bidang/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/admin/bidang/(?<nxtPslug>[^/]+?)(?:/)?$"
    },
    {
      "page": "/admin/ukk/[slug]",
      "regex": "^/admin/ukk/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/admin/ukk/(?<nxtPslug>[^/]+?)(?:/)?$"
    },
    {
      "page": "/api/auth/[...nextauth]",
      "regex": "^/api/auth/(.+?)(?:/)?$",
      "routeKeys": {
        "nxtPnextauth": "nxtPnextauth"
      },
      "namedRegex": "^/api/auth/(?<nxtPnextauth>.+?)(?:/)?$"
    },
    {
      "page": "/artikel/[slug]",
      "regex": "^/artikel/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/artikel/(?<nxtPslug>[^/]+?)(?:/)?$"
    },
    {
      "page": "/awardee/[id]",
      "regex": "^/awardee/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/awardee/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/berita/[id]",
      "regex": "^/berita/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/berita/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/galeri/[id]",
      "regex": "^/galeri/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/galeri/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/laporan-keuangan/[id]",
      "regex": "^/laporan\\-keuangan/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/laporan\\-keuangan/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/prestasi/[id]",
      "regex": "^/prestasi/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/prestasi/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/program-kerja/[slug]",
      "regex": "^/program\\-kerja/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/program\\-kerja/(?<nxtPslug>[^/]+?)(?:/)?$"
    },
    {
      "page": "/rangers-talk/[id]",
      "regex": "^/rangers\\-talk/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/rangers\\-talk/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/ukk/[slug]",
      "regex": "^/ukk/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/ukk/(?<nxtPslug>[^/]+?)(?:/)?$"
    },
    {
      "page": "/[slug]",
      "regex": "^/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPslug": "nxtPslug"
      },
      "namedRegex": "^/(?<nxtPslug>[^/]+?)(?:/)?$"
    }
  ],
  "staticRoutes": [
    {
      "page": "/",
      "regex": "^/(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/(?:/)?$"
    },
    {
      "page": "/_global-error",
      "regex": "^/_global\\-error(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_global\\-error(?:/)?$"
    },
    {
      "page": "/_not-found",
      "regex": "^/_not\\-found(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_not\\-found(?:/)?$"
    },
    {
      "page": "/acara",
      "regex": "^/acara(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/acara(?:/)?$"
    },
    {
      "page": "/admin",
      "regex": "^/admin(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin(?:/)?$"
    },
    {
      "page": "/admin/acara",
      "regex": "^/admin/acara(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/acara(?:/)?$"
    },
    {
      "page": "/admin/artikel",
      "regex": "^/admin/artikel(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/artikel(?:/)?$"
    },
    {
      "page": "/admin/awardee",
      "regex": "^/admin/awardee(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/awardee(?:/)?$"
    },
    {
      "page": "/admin/bearr",
      "regex": "^/admin/bearr(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/bearr(?:/)?$"
    },
    {
      "page": "/admin/berita",
      "regex": "^/admin/berita(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/berita(?:/)?$"
    },
    {
      "page": "/admin/bidang",
      "regex": "^/admin/bidang(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/bidang(?:/)?$"
    },
    {
      "page": "/admin/galeri",
      "regex": "^/admin/galeri(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/galeri(?:/)?$"
    },
    {
      "page": "/admin/kabinet",
      "regex": "^/admin/kabinet(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/kabinet(?:/)?$"
    },
    {
      "page": "/admin/komentar",
      "regex": "^/admin/komentar(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/komentar(?:/)?$"
    },
    {
      "page": "/admin/kurikulum",
      "regex": "^/admin/kurikulum(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/kurikulum(?:/)?$"
    },
    {
      "page": "/admin/laporan-keuangan",
      "regex": "^/admin/laporan\\-keuangan(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/laporan\\-keuangan(?:/)?$"
    },
    {
      "page": "/admin/laser-quota",
      "regex": "^/admin/laser\\-quota(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/laser\\-quota(?:/)?$"
    },
    {
      "page": "/admin/parlemen",
      "regex": "^/admin/parlemen(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/parlemen(?:/)?$"
    },
    {
      "page": "/admin/parlemen/produk-mumas",
      "regex": "^/admin/parlemen/produk\\-mumas(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/parlemen/produk\\-mumas(?:/)?$"
    },
    {
      "page": "/admin/parlemen/profil",
      "regex": "^/admin/parlemen/profil(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/parlemen/profil(?:/)?$"
    },
    {
      "page": "/admin/pengurus",
      "regex": "^/admin/pengurus(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/pengurus(?:/)?$"
    },
    {
      "page": "/admin/prestasi",
      "regex": "^/admin/prestasi(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/prestasi(?:/)?$"
    },
    {
      "page": "/admin/profil",
      "regex": "^/admin/profil(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/profil(?:/)?$"
    },
    {
      "page": "/admin/rangers-talk",
      "regex": "^/admin/rangers\\-talk(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/rangers\\-talk(?:/)?$"
    },
    {
      "page": "/admin/shortlink",
      "regex": "^/admin/shortlink(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/shortlink(?:/)?$"
    },
    {
      "page": "/admin/ukk",
      "regex": "^/admin/ukk(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/ukk(?:/)?$"
    },
    {
      "page": "/api/kill-processes",
      "regex": "^/api/kill\\-processes(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/api/kill\\-processes(?:/)?$"
    },
    {
      "page": "/api/list-processes",
      "regex": "^/api/list\\-processes(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/api/list\\-processes(?:/)?$"
    },
    {
      "page": "/api/test-db",
      "regex": "^/api/test\\-db(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/api/test\\-db(?:/)?$"
    },
    {
      "page": "/api/upload",
      "regex": "^/api/upload(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/api/upload(?:/)?$"
    },
    {
      "page": "/artikel",
      "regex": "^/artikel(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/artikel(?:/)?$"
    },
    {
      "page": "/awardee",
      "regex": "^/awardee(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/awardee(?:/)?$"
    },
    {
      "page": "/berita",
      "regex": "^/berita(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/berita(?:/)?$"
    },
    {
      "page": "/galeri",
      "regex": "^/galeri(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/galeri(?:/)?$"
    },
    {
      "page": "/icon.png",
      "regex": "^/icon\\.png(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/icon\\.png(?:/)?$"
    },
    {
      "page": "/kabinet",
      "regex": "^/kabinet(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/kabinet(?:/)?$"
    },
    {
      "page": "/kontak",
      "regex": "^/kontak(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/kontak(?:/)?$"
    },
    {
      "page": "/konten",
      "regex": "^/konten(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/konten(?:/)?$"
    },
    {
      "page": "/konten/bearr",
      "regex": "^/konten/bearr(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/konten/bearr(?:/)?$"
    },
    {
      "page": "/konten/kinetik",
      "regex": "^/konten/kinetik(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/konten/kinetik(?:/)?$"
    },
    {
      "page": "/konten/link-shortener",
      "regex": "^/konten/link\\-shortener(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/konten/link\\-shortener(?:/)?$"
    },
    {
      "page": "/laporan-keuangan",
      "regex": "^/laporan\\-keuangan(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/laporan\\-keuangan(?:/)?$"
    },
    {
      "page": "/login",
      "regex": "^/login(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/login(?:/)?$"
    },
    {
      "page": "/media",
      "regex": "^/media(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/media(?:/)?$"
    },
    {
      "page": "/parlemen",
      "regex": "^/parlemen(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/parlemen(?:/)?$"
    },
    {
      "page": "/pengurus",
      "regex": "^/pengurus(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/pengurus(?:/)?$"
    },
    {
      "page": "/prestasi",
      "regex": "^/prestasi(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/prestasi(?:/)?$"
    },
    {
      "page": "/profil",
      "regex": "^/profil(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/profil(?:/)?$"
    },
    {
      "page": "/program-kerja",
      "regex": "^/program\\-kerja(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/program\\-kerja(?:/)?$"
    },
    {
      "page": "/rangers-talk",
      "regex": "^/rangers\\-talk(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/rangers\\-talk(?:/)?$"
    },
    {
      "page": "/tentang",
      "regex": "^/tentang(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/tentang(?:/)?$"
    },
    {
      "page": "/ukk",
      "regex": "^/ukk(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/ukk(?:/)?$"
    }
  ],
  "dataRoutes": [],
  "rsc": {
    "header": "rsc",
    "varyHeader": "rsc, next-router-state-tree, next-router-prefetch, next-router-segment-prefetch",
    "prefetchHeader": "next-router-prefetch",
    "didPostponeHeader": "x-nextjs-postponed",
    "contentTypeHeader": "text/x-component",
    "suffix": ".rsc",
    "prefetchSegmentHeader": "next-router-segment-prefetch",
    "prefetchSegmentSuffix": ".segment.rsc",
    "prefetchSegmentDirSuffix": ".segments",
    "clientParamParsing": false,
    "dynamicRSCPrerender": false
  },
  "rewriteHeaders": {
    "pathHeader": "x-nextjs-rewritten-path",
    "queryHeader": "x-nextjs-rewritten-query"
  }
}